{
    "name": "metiers-numeriques",
    "version": "1.0.0",
    "description": "Tout savoir sur les métiers du numérique au sein de l’Etat",
    "main": "src/index.js",
    "scripts": {
        "checkHTML": "site-validator --verbose --url",
        "checkHTMLLocal": "site-validator --verbose --local --url http://localhost:8080",
        "dev": "ts-node-dev src/index.ts",
        "start": "node dist/index.js",
        "build": "tsc -p tsconfig.json",
        "test": "npm run test:unit",
        "test:unit": "jest --config=jest.config.js",
        "test:unit:watch": "jest --watchAll --config=jest.config.js",
        "test:integration": "cross-env NODE_ENV=test jest --config=jest.integration.config.js",
        "test:e2e": "cross-env NODE_ENV=test jest --config=jest.e2e.config.js",
        "test:ci": "npm run test:unit && npm run test:integration && npm run test:e2e",
        "fix:prettier": "prettier \"src/**/*.ts\" --write",
        "fix:lint": "eslint src --ext .ts --fix",
        "reset-hard": "git clean -dfx && git reset --hard && npm i",
        "knex:run": "knex --knexfile src/knexfile.ts",
        "migrate:make": "npm run knex:run -- migrate:make --",
        "migrate:latest": "npm run knex:run -- migrate:latest --debug",
        "migrate:rollback": "npm run knex:run -- migrate:rollback --all --debug"
    },
    "engines": {
        "node": ">14",
        "npm": ">7"
    },
    "repository": {
        "type": "git",
        "url": "git+https://github.com/betagouv/metiers-numeriques.git"
    },
    "license": "MIT",
    "bugs": {
        "url": "https://github.com/betagouv/metiers-numeriques/issues"
    },
    "homepage": "https://github.com/betagouv/metiers-numeriques#readme",
    "dependencies": {
        "@gouvfr/dsfr": "^1.0.0-rc1.0",
        "axios": "^0.21.4",
        "cron": "^1.8.2",
        "csvtojson": "^2.0.10",
        "date-fns": "^2.25.0",
        "date-fns-tz": "^1.1.6",
        "dotenv": "^10.0.0",
        "ejs": "^3.1.5",
        "express": "^4.17.1",
        "knex": "^0.95.13",
        "moment": "^2.29.1",
        "pg": "^8.7.1",
        "remixicon": "^2.5.0",
        "uuid": "^8.3.2"
    },
    "devDependencies": {
        "@types/cron": "^1.7.3",
        "@types/ejs": "^3.1.0",
        "@types/express": "^4.17.13",
        "@types/jest": "^27.0.2",
        "@types/nodemon": "^1.19.1",
        "@types/uuid": "^8.3.1",
        "@typescript-eslint/eslint-plugin": "^4.0.1",
        "@typescript-eslint/parser": "^4.0.1",
        "cross-env": "^7.0.3",
        "eslint": "^7.8.0",
        "eslint-config-prettier": "^6.11.0",
        "eslint-plugin-eslint-comments": "^3.2.0",
        "eslint-plugin-functional": "^3.0.2",
        "eslint-plugin-import": "^2.22.0",
        "jest": "^27.2.0",
        "nodemon": "^2.0.6",
        "npm-run-all": "^4.1.5",
        "prettier": "^2.1.1",
        "testcontainers": "^7.21.0",
        "ts-jest": "^27.0.7",
        "ts-node": "^9.0.0",
        "ts-node-dev": "^1.1.8",
        "typescript": "^4.0.2"
    },
    "prettier": {
        "singleQuote": true
    }
}
